import request from '@/utils/request'
import axios from "@/utils/request";


export function listStatus(query) {
  return request({
    url: '/sys/his/stauts/filter',
    method: 'get',
    params: query
  })
}

export function addStatus(data) {
  return request({
    url: '/sys/his/stauts/add',
    method: 'post',
    data: data
  })
}


export function updateStatus(data) {
  return request({
    url: '/sys/his/stauts/update',
    method: 'post',
    data: data
  })
}

export function delStatus(data) {
  return request({
    url: '/sys/his/stauts/delete',
    method: 'post',
    data: data
  })
}


export function treeList(query) {
  return axios({
    url: "/sys/his/stauts/tree",
    method: "get",
    params: query
  });
}

export function treeSelectedList(query) {
  return axios({
    url: "/sys/his/stauts/treeSelect",
    method: "get",
    params: query
  });
}
